# Intl Phone Code Selector

_***Read this in other languages:***_

[_English_](README.md)

国际手机号码区号选择器

样式参考: [vue-tel-input/sprite.css at master · iamstevendao/vue-tel-input (github.com)](https://github.com/iamstevendao/vue-tel-input/blob/master/src/assets/sprite.css)https://github.com/jackocnr/intl-tel-input/blob/master/build/css/intlTelInput.css)

国家数据参考: [vue-tel-input/all-countries.js at master · iamstevendao/vue-tel-input (github.com)](https://github.com/iamstevendao/vue-tel-input/blob/master/src/assets/all-countries.js)

![demo](./demo.gif)

###

## Demo:

https://tmx.freesty1e.cn/storybook-intl-number/

##

## 功能

- 根据区号和国家名称筛选
- 默认将 popup 附加在 body，以防被其他元素遮挡
- 无需引入任何 CSS 文件
- 跨框架，支持原生 JS 的 Web Component

## 安装

```bash
npm install intl-tel-input-wc
```

### CDN

```
https://cdn.jsdelivr.net/npm/intl-tel-input-wc
```

## 使用

```html
<html>
  <head>
    <script
      type="text/javascript"
      src="https://cdn.jsdelivr.net/npm/intl-tel-input-wc"
    ></script>
  </head>
  <body>
    <intl-select flag_only="true" id="intl_select"></intl-select>
  </body>
  <script type="text/javascript">
    document.querySelector("intl-select").$on("select", (event) => {
      const data = event.detail;
      console.log(data);
    });
    document.querySelector("intl-select").$on("clear", (event) => {
      console.log("on click clear button");
    });
  </script>
</html>
```

## 属性

| Name               | Description               | Default                       |
| ------------------ | ------------------------- | ----------------------------- |
| **placeholder**    | string                    | Please select your country... |
| **flag_only**      | boolean                   | false                         |
| **cross**          | boolean                   | true                          |
| **append_to_body** | 设置是否将元素附加到 body | true                          |

## 事件

| Name   | Description        |
| ------ | ------------------ |
| select | 选中时触发         |
| clear  | 点击清除按钮时触发 |
